/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the RefreshTokenRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &RefreshTokenRequest{}

// RefreshTokenRequest struct for RefreshTokenRequest
type RefreshTokenRequest struct {
	RefreshToken string `json:"refresh_token"`
}

// NewRefreshTokenRequest instantiates a new RefreshTokenRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewRefreshTokenRequest(refreshToken string) *RefreshTokenRequest {
	this := RefreshTokenRequest{}
	this.RefreshToken = refreshToken
	return &this
}

// NewRefreshTokenRequestWithDefaults instantiates a new RefreshTokenRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewRefreshTokenRequestWithDefaults() *RefreshTokenRequest {
	this := RefreshTokenRequest{}
	return &this
}

// GetRefreshToken returns the RefreshToken field value
func (o *RefreshTokenRequest) GetRefreshToken() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.RefreshToken
}

// GetRefreshTokenOk returns a tuple with the RefreshToken field value
// and a boolean to check if the value has been set.
func (o *RefreshTokenRequest) GetRefreshTokenOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.RefreshToken, true
}

// SetRefreshToken sets field value
func (o *RefreshTokenRequest) SetRefreshToken(v string) {
	o.RefreshToken = v
}

func (o RefreshTokenRequest) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o RefreshTokenRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["refresh_token"] = o.RefreshToken
	return toSerialize, nil
}

type NullableRefreshTokenRequest struct {
	value *RefreshTokenRequest
	isSet bool
}

func (v NullableRefreshTokenRequest) Get() *RefreshTokenRequest {
	return v.value
}

func (v *NullableRefreshTokenRequest) Set(val *RefreshTokenRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableRefreshTokenRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableRefreshTokenRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableRefreshTokenRequest(val *RefreshTokenRequest) *NullableRefreshTokenRequest {
	return &NullableRefreshTokenRequest{value: val, isSet: true}
}

func (v NullableRefreshTokenRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableRefreshTokenRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


